package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 手表参数设置
 * </p>
 *
 * @author wh
 * @since 2022-10-11
 */
@TableName("watch_set_params")
@ApiModel(value="WatchSetParams对象", description="手表参数设置")
public class WatchSetParams extends Model<WatchSetParams> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "NFC功能开启时长")
    @TableField("nfc_open_time")
    private Integer nfcOpenTime;

    @ApiModelProperty(value = "蓝牙常规采集周期")
    @TableField("bluetooth_routine_cycle")
    private Integer bluetoothRoutineCycle;

    @ApiModelProperty(value = "蓝牙常规采集计算平均值采样次数")
    @TableField("bluetooth_routine_cycle_times")
    private Integer bluetoothRoutineCycleTimes;

    @ApiModelProperty(value = "蓝牙特殊采集周期")
    @TableField("bluetooth_special_cycle")
    private Integer bluetoothSpecialCycle;

    @ApiModelProperty(value = "蓝牙特殊采集计算平均值采样次数")
    @TableField("bluetooth_special_cycle_times")
    private Integer bluetoothSpecialCycleTimes;

    @ApiModelProperty(value = "蓝牙由特殊变为常规时长")
    @TableField("special_to_routine_time")
    private Integer specialToRoutineTime;

    @ApiModelProperty(value = "蓝牙信号值")
    @TableField("bluetooth_sign")
    private Integer bluetoothSign;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Integer getNfcOpenTime() {
        return nfcOpenTime;
    }

    public void setNfcOpenTime(Integer nfcOpenTime) {
        this.nfcOpenTime = nfcOpenTime;
    }

    public Integer getBluetoothRoutineCycle() {
        return bluetoothRoutineCycle;
    }

    public void setBluetoothRoutineCycle(Integer bluetoothRoutineCycle) {
        this.bluetoothRoutineCycle = bluetoothRoutineCycle;
    }

    public Integer getBluetoothRoutineCycleTimes() {
        return bluetoothRoutineCycleTimes;
    }

    public void setBluetoothRoutineCycleTimes(Integer bluetoothRoutineCycleTimes) {
        this.bluetoothRoutineCycleTimes = bluetoothRoutineCycleTimes;
    }

    public Integer getBluetoothSpecialCycle() {
        return bluetoothSpecialCycle;
    }

    public void setBluetoothSpecialCycle(Integer bluetoothSpecialCycle) {
        this.bluetoothSpecialCycle = bluetoothSpecialCycle;
    }

    public Integer getBluetoothSpecialCycleTimes() {
        return bluetoothSpecialCycleTimes;
    }

    public void setBluetoothSpecialCycleTimes(Integer bluetoothSpecialCycleTimes) {
        this.bluetoothSpecialCycleTimes = bluetoothSpecialCycleTimes;
    }

    public Integer getSpecialToRoutineTime() {
        return specialToRoutineTime;
    }

    public void setSpecialToRoutineTime(Integer specialToRoutineTime) {
        this.specialToRoutineTime = specialToRoutineTime;
    }

    public Integer getBluetoothSign() {
        return bluetoothSign;
    }

    public void setBluetoothSign(Integer bluetoothSign) {
        this.bluetoothSign = bluetoothSign;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "WatchSetParams{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", nfcOpenTime=" + nfcOpenTime +
        ", bluetoothRoutineCycle=" + bluetoothRoutineCycle +
        ", bluetoothRoutineCycleTimes=" + bluetoothRoutineCycleTimes +
        ", bluetoothSpecialCycle=" + bluetoothSpecialCycle +
        ", bluetoothSpecialCycleTimes=" + bluetoothSpecialCycleTimes +
        ", specialToRoutineTime=" + specialToRoutineTime +
        ", bluetoothSign=" + bluetoothSign +
        "}";
    }
}
